function CB = critband(Layer, fs)
%CB = Table_crital_band_boundaries(Layer, fs)
%
%   Return the index in the absolute threshold table for the critical band 
%   boundaries definied in [1, pp. 123] for Layer at sampling rate fs (Hz).
%
%   See also Table_absolute_threshold
   
%   Author: Fabien A.P. Petitcolas
%           Computer Laboratory
%           University of Cambridge
%   $Id: Table_critical_band_boundaries.m,v 1.2 1998-06-22 17:47:56+01 fapp2 Exp $

%-------------------------------------------------------------------------------

if (Layer == 1)
   if (fs == 44100)
      CB = [1, 2, 3, 5, 6, 8, 9, 11, 13, 15, 17, 20, 23, 27, 32, 37, 45, 50, 55, 61, 68, 75, 81, 93, 106]';
    else
       error('Frequency not supported.');
    end
 else
    error('Layer not supported.');
 end
 